summaryrefslogtreecommitdiff
path: root/qa/206
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/206
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/206')
-rwxr-xr-xqa/20659
1 files changed, 59 insertions, 0 deletions
diff --git a/qa/206 b/qa/206
new file mode 100755
index 0000000..f4455cc
--- /dev/null
+++ b/qa/206
@@ -0,0 +1,59 @@
+#! /bin/sh
+# PCP QA Test No. 206
+# interpolate mode and archives with gaps and mark records
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+host=`hostname`
+date=`pmdumplog -l src/gap | grep commencing |
+ sed -e 's/ commencing //' -e 's/\.[0-9]*//'`
+offset=`_arch_start src/gap 0.5`
+
+_filter_val()
+{
+ sed \
+ -e "s/$host[\.a-zA-Z0-9\-]*/HOST/g" \
+ -e "s/$date/DATE/g" \
+ -e "s/start:.*/start: START_TIME/g" \
+ -e "s/end:.*/end: END_TIME/g" \
+ -e "s/^[0-2][0-9]:[0-5][0-9]:[0-5][0-9]\.[0-9][0-9][0-9][ ][ ]*[0-9][0-9\.]*/TIME VALUE/" \
+ -e "s/^[0-2][0-9]:[0-5][0-9]:[0-5][0-9]\.[0-9][0-9][0-9]/TIME/" \
+ -e "s/VALUE[ ]*$/VALUE/"
+}
+
+# real QA test starts here
+rm -f $tmp.out
+touch $tmp.out
+
+for metric in \
+ hinv.ncpu \
+ pmcd.pdu_in.total pmcd.pdu_in.fetch \
+ pmcd.numagents \
+ sample.bin
+do
+ echo >> $tmp.out
+ echo "pmval args: -U -r" >>$tmp.out
+ pmval -r -U src/gap $metric >>$tmp.out 2>$tmp.err
+ cat $tmp.err >>$tmp.out
+ echo >>$tmp.out
+ echo "pmval args: -a -r" >>$tmp.out
+ pmval -s 10 -O $offset -r -t2 -a src/gap $metric >>$tmp.out 2>$tmp.err
+ cat $tmp.err >>$tmp.out
+ echo >>$tmp.out
+ echo "pmval args: -a" >>$tmp.out
+ pmval -s 10 -O $offset -t2 -a src/gap $metric >>$tmp.out 2>$tmp.err
+ cat $tmp.err >>$tmp.out
+done
+
+cat $tmp.out | _filter_val